## pythonmagick 0.9.17

=== SConstruct ===
# vim: filetype=python

import os, re, sys

if sys.platform=='win32':
    #   Windows
    BOOST=r'f:\boost_root'
    BOOSTLIBPATH=r'f:\boost_root\lib'
    IM_INCLUDE_PATH=[r'C:\ImageMagick-6.2.4-windows-source\ImageMagick-6.2.4',r'E:\ImageMagick-6.2.4-windows-source\ImageMagick-6.2.4\Magick++\lib']
    IM_LIB_PATH=r'C:\ImageMagick-6.2.4-windows-source\ImageMagick-6.2.4\VisualMagick\lib'
    GD_LIBS=[i for i in os.listdir(IM_LIB_PATH) if i.endswith('.lib')]+['user32.lib','ws2_32.lib','ole32.lib','gdi32.lib','oleaut32.lib','Advapi32.lib']#['CORE_RL_magick_','CORE_RL_Magick++_']
    PYTHON_INCLUDE='F:\Python24\include'
    BOOST_PYTHON_LIB=['libboost_python-vc71-mt.lib']
    CPP_FLAGS=['/EHsc','/MD','/GR','-DWIN32','-DNeedFunctionPrototypes','-D_LIB','-D_VISUALC_','-DBOOST_PYTHON_STATIC_LIB']
else:
    #   Linux
    BOOST='/usr/local/include/boost-1_32/'
    BOOSTLIBPATH='/usr/local/lib/'
    IM_INCLUDE_PATH=['/usr/include']
    IM_LIB_PATH='/usr/lib/'
    GD_LIBS=['Magick','Magick++','Wand']
    PYTHON_INCLUDE='/usr/include/python2.4'
    BOOST_PYTHON_LIB=['libboost_python-gcc']
    CPP_FLAGS=['-DBOOST_PYTHON_STATIC_LIB','-O2']

#   setup the environment
env=Environment(
    LIBPATH=['./',BOOSTLIBPATH, IM_LIB_PATH],
    CPPPATH=[BOOST, PYTHON_INCLUDE] + IM_INCLUDE_PATH,
    RPATH=['./',BOOSTLIBPATH],
    CPPFLAGS=CPP_FLAGS
)

def fix_includes(target,source,env):
    for t in target:
        code=file(str(t)).read()
        code=re.sub(r'#include <.*?(Magick\+\+/.*?\.h)>',r'#include <\1>',code)
        code=re.sub(r'#include <(.*?helpers_src.*?\.h)>',r'#include "../\1"',code)
        file(str(t),'w').write(code)
 
#   setup pyste builder
def pyste_emitter(target,source,env):
    sources = ['pyste_src/%s' % s for s in source]
    targets = ['pythonmagick_src/_%s.cpp' % t for t in target]
    return (targets,sources)
env['BUILDERS']['Pyste'] = Builder(action = ['pyste.py --module=_PythonMagick --multiple --out=./pythonmagick_src -I %s $SOURCE' % IM_INCLUDE_PATH, fix_includes],
    emitter=pyste_emitter)

#   default is not to run pyste
if ARGUMENTS.get('pyste')=='yes':
    PYSTE_FILES=[f for f in os.listdir('pyste_src') if f.endswith('.pyste')]
    os.system('pyste.py --module=_PythonMagick --multiple --generate-main --out=./pythonmagick_src -I %s %s' % (
        IM_INCLUDE_PATH,' '.join(['pyste_src/%s' % f for f in PYSTE_FILES]))
    )
    for item in PYSTE_FILES:
        env.Pyste(item)

#   build the module
PM_FILES=['pythonmagick_src/%s'%f for f in os.listdir('pythonmagick_src') if f.endswith('.cpp')]
HELPER_FILES=['helpers_src/%s'%f for f in os.listdir('helpers_src') if f.endswith('.cpp')]
env.SharedLibrary(
    target='PythonMagick/_PythonMagick',
    source=PM_FILES+HELPER_FILES,
    SHLIBPREFIX='',
    LIBS=BOOST_PYTHON_LIB+GD_LIBS
)

## pythonmagick 0.9.11

=== debian/changelog ===
pythonmagick (0.9.11-2ubuntu2) wily; urgency=medium

  * No-change rebuild against libmagick++-6.q16-5v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 14:33:21 +0000

pythonmagick (0.9.11-2ubuntu1) vivid; urgency=medium

  * Merge from debian, remaining changes:
    - build-depend on gccxml.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Fri, 31 Oct 2014 13:15:18 +0000

pythonmagick (0.9.11-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not build static library. (Closes: #763716)
  * debian/copyright: Add short license names.
  * debian/control: Update Standards-Verison. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Oct 2014 13:26:14 +0200

pythonmagick (0.9.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix build with newer imagemagick releases. (Closes: #758001)
  * debian/patches:
    - 003_detect_py27.diff: Removed, no longer needed.
    - 001_autofoo_fixes.diff: Refreshed.
  * debian/{rules,control,source/format}: Use 3.0 (quilt) and remove quilt
    from build depends and dh call.
  * debian({rules,control}: Switch to dh_python2. Replace python-support with
    dh-python in Build-Depends and invoke dh with --with python2 instead of
    python-support.
  * debian/control:
    - Bump libmagic++-dev to >= 8:6.8.6. Required by the new upstream version.
    - Bump Standards-Version to 3.9.5. No changes required.
  * debian/rules:
    - Build with --disable-silent-rules.
    - Build with --parallel.
    - Remove *.la files.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Sep 2014 16:45:55 +0200

pythonmagick (0.9.8-1ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 08:04:43 +0100

pythonmagick (0.9.8-1ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 12:44:57 +0100

pythonmagick (0.9.8-1ubuntu1) saucy; urgency=low

  * Directly Build-Depend on gccxml. Needed for libboost-python-dev's Pyste to
    run.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 12:29:38 +1100

pythonmagick (0.9.8-1) unstable; urgency=low

  * Team upload.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Bump debhelper to (>= 9) for arch and indep targets.
    - Remove unnecessary Build-Depends autotools-dev and dpkg-dev.
  * debian/compat: Bump to 9.
  * debian/rules:
    - Run loops with set -e.
    - Call dh correctly.
    - No need to include /usr/share/dpkg/buildflags.mk anymore.
  * debian/copyright:
    - Update Format URL.
    - Merge the two debian/* sections.
    - Fix formatting of the ImageMagick license.
    - Update copyright years
  * debian/patches:
    - 001_autofoo_fixes.diff: Use python-config --includes to fix build
      failure. (Closes: #710790)
    - 002_set_minimum_python_version_to_2.4.diff: Removed, not needed anymore.
    - 004_quote_cppflags.diff: Removed, not needed anymore.
    - __init__-fixup: Removed, not needed anymore.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Jun 2013 15:59:18 +0200

pythonmagick (0.9.7-2) unstable; urgency=low

  * Team upload.
  * Enable hardened build:
    - debian/patches: add 004_quote_cppflags.diff to fix build issues with
      enabled hardening flags (Closes: #652483).
    - debian/rules: export buildflags.
    - debian/control: add versioned Build-Dep on dpkg-dev for
      /usr/share/dpkg/buildflags.mk
  * debian/control: fix spelling error in description.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 20 Dec 2011 12:32:16 +0100

pythonmagick (0.9.7-1) unstable; urgency=low

  * Team upload.

  [ Bernd Zeimetz ]
  * Upstream's __init__.py is *WEIRD*. I think I've fixed it as it should be,
    although this change might introduce features which are not available in
    other distributions. (Closes: #495025) 
  * Removing myself from uploaders.

  [ Sebastian Ramacher ]
  * New upstream release
    - Fixes build issues with newer ligmagick++ versions (Closes: #625581).
    - debian/control: Bump Build-Dep of libmagick++-dev to 8:6.6.7-9.
  * Drop autotools related diffs and run dh --with autoreconf instead.
    - debian/control: Add Build-Dep on dh-autoreconf.
    - debian/rules: call dh with --with autoreconf.
    - debian/patches: remove diffs that are releated to autotools output.
  * Detect Python 2.7 correctly (Closes: #632508) and honor PYTHON environment
    variable.
  * Build for all supported Python versions.
    - debian/control: Build-Dep on python-all-dev instead of python-dev.
    - debian/rules: Build for all supported Python versions.
  * debian/patches: Format according to DEP-3.
  * debian/control: Bump Standards-Version (no changes required).
  * debian/copyright:
    - Update copyright years.
    - Fixes to be DEP-5 compliant.
    - Fix license of PythonMagick. It is released under the ImageMagick
      License, not GPL-3+.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 19 Oct 2011 20:12:28 +0200

pythonmagick (0.9.1-3) unstable; urgency=low

  * Add pkg-config as build-dependency. 
  * Bumping Standards-Version to 3.8.4.
  * Add debian/README.source. 
  * Update patches to include python2.6 properly. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 12 May 2010 23:05:38 +0200

pythonmagick (0.9.1-2) unstable; urgency=low

  * Remove usage of cdbs in favour of debhelper >> 7
  * change dpatch to quilt

 -- Carl Fürstenberg <azatoth@gmail.com>  Sun, 28 Feb 2010 14:44:53 +0100

pythonmagick (0.9.1-1) unstable; urgency=low

  [ Thomas Viehmann ]
  * New upstream release
    - compatible with new imagemagick. Closes: #512049, #524588
    - links against current boost. Closes: #488105
    - Fixes to autofoo:


=== debian/control ===
Source: pythonmagick
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pythonmagick/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pythonmagick/trunk/
Uploaders: Carl Fürstenberg <azatoth@gmail.com>
Build-Depends:
 debhelper (>= 9),
 libmagick++-dev (>= 8:6.8.6),
 libtool (>= 1.5),
 libboost-python-dev (>= 1.34.1-8),
 python-all-dev (>= 2.5),
 pkg-config,
 dh-autoreconf,
 gccxml,
 dh-python
Standards-Version: 3.9.6
Homepage: http://www.imagemagick.org
XS-Python-Version: all

Package: python-pythonmagick
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Object-oriented Python interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python.

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS = $(shell pyversions -vr)

%:
	dh $@ --with python2 --with autoreconf --parallel

override_dh_auto_clean:
	set -e && for pyver in $(PYVERSIONS); do \
		PYTHON=python$$pyver dh_auto_clean -Bbuild/py$$pyver; \
	done

override_dh_auto_configure:
	set -e && for pyver in $(PYVERSIONS); do \
		mkdir -p build/py$$pyver; \
		PYTHON=python$$pyver dh_auto_configure -Bbuild/py$$pyver -- \
			--disable-silent-rules --disable-static; \
	done

override_dh_auto_build:
	set -e && for pyver in $(PYVERSIONS); do \
		PYTHON=python$$pyver dh_auto_build -Bbuild/py$$pyver; \
	done

override_dh_auto_install:
	set -e && for pyver in $(PYVERSIONS); do \
		PYTHON=python$$pyver dh_auto_install -Bbuild/py$$pyver; \
	done
	find debian/ -name "*.la" -delete

=== debian/watch ===
version=3
http://www.imagemagick.org/download/python/PythonMagick-(.*)\.tar\.gz

## pythonmagick 0.9.14

=== debian/changelog ===
pythonmagick (0.9.14-3) unstable; urgency=medium

  * Remove obsolete m4 files that lead to FTBFS. This files will be
    regenerated from autoconf-archive by dh_autoreconf.
    (Closes: #843196).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 13 Nov 2016 22:20:01 +0100

pythonmagick (0.9.14-2) unstable; urgency=medium

  * Update copyright

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 01 Nov 2016 21:46:40 +0100

pythonmagick (0.9.14-1) unstable; urgency=medium

  * Switch watch to .xz and add signature check
  * Add myself as uploader.
  * Switch to git-dpm.
  * Bump Standards-Version no changes.
  * Bump compat to 10.
  * Fixed VCS URL (https) thanks to Ondřej Nový <novy@ondrej.org>
  * Build python3 and python2 version.
  * Add autopkgtest
  * New upstream release:
    - Bug fix: "FTBFS with newer experimental version of imagemagick",
      (Closes: #840428).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 30 Oct 2016 23:44:40 +0100

=== debian/control ===
Source: pythonmagick
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pythonmagick.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pythonmagick.git
Uploaders: Carl Fürstenberg <azatoth@gmail.com>,
 Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Build-Depends:
 autoconf-archive (>= 20160916),
 dh-autoreconf,
 dh-python,
 debhelper (>= 10),
 libboost-python-dev (>= 1.34.1-8),
 libmagick++-dev (>= 8:6.8.6),
 libtool (>= 1.5),
 pkg-config,
 python-all,
 python-all-dev,
 python-setuptools,
 python3-all,
 python3-all-dev,
 python3-setuptools
Standards-Version: 3.9.8
Homepage: http://www.imagemagick.org
Testsuite: autopkgtest-pkg-python

Package: python-pythonmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Object-oriented Python interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python.
 .
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves.
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).

Package: python3-pythonmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Object-oriented Python 3 interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python 3.
 .
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves.
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).

## pythonmagick 0.9.17

=== debian/changelog ===
pythonmagick (0.9.17-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:22:44 +0000

pythonmagick (0.9.17-1) unstable; urgency=medium

  * Bug fix: "FTBFS with python3.6 as a supported python3", thanks to
    Scott Kitterman (Closes: #866694).
  * Use lastest autoconf-archive for some python macros.
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 13 Aug 2017 17:22:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Carl Fürstenberg <azatoth@gmail.com>,
  Bastien Roucariès <roucaries.bastien+debian@gmail.com>
 Build-Depends:
- autoconf-archive (>= 20160916),
+ autoconf-archive (>= 20170321-1),
  dh-autoreconf,
  dh-python,
  debhelper (>= 10),
@@ -21,7 +21,7 @@
  python3-all,
  python3-all-dev,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://www.imagemagick.org
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

export VERBOSE=1

d=--buildsystem=autoconf --builddirectory="{build_dir}"
export PYBUILD_NAME=pythonmagick
export PYBUILD_SYSTEM=custom
export PYBUILD_CLEAN_ARGS=dh_auto_clean $d;
# hack here see  #866694
# automake as 20170813 does not support python3.6 and
# pythonmagick does not support python < 2.4 thus ask
# for ${version.major}+.4
export PYBUILD_CONFIGURE_ARGS=dh_auto_configure $d -- \
	--disable-silent-rules --disable-static \
	--with-python-min-version={version.major}.4
export PYBUILD_BUILD_ARGS=dh_auto_build $d
export PYBUILD_INSTALL_ARGS=dh_auto_install $d --destdir="{destdir}"
export PYBUILD_TEST_ARGS=dh_auto_test $d

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/ -name "*.la" -delete

=== debian/tests/control ===
Tests: python2
Depends: python-pythonmagick


Tests: python3
Depends: python3-pythonmagick

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.imagemagick.org/download/python/PythonMagick-(.*)@ARCHIVE_EXT@

## pythonmagick 0.9.19

=== debian/changelog ===
pythonmagick (0.9.19-6) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standard-Version to 4.5.0.
  * d/gbp.conf: set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.
  * Remove extra -l on Makfile.am (Closes: #949829).
    - Apply Dimitri John Ledkov patch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 27 Feb 2020 17:38:04 -0300

pythonmagick (0.9.19-5) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Convert git repository from git-dpm to gbp layout.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.
  * Enable all hardening.
  * d/watch: Use https protocol.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 13:43:52 +0200

pythonmagick (0.9.19-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 May 2019 20:33:19 +0200

pythonmagick (0.9.19-3) unstable; urgency=medium

  * Team upload.
  * Disable failing autopkgtest
  * Add patch for ImageMagick < 7

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 May 2019 14:45:43 +0200

pythonmagick (0.9.19-2) unstable; urgency=medium

  * Fix debci

 -- Bastien Roucariès <rouca@debian.org>  Tue, 22 Jan 2019 12:28:04 +0100

pythonmagick (0.9.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Bastien Roucariès ]
  * Bug fix by rebuilt: "Undefined symbol in python2.7
    PythonMagick.x86_64-linux-gnu.so", thanks to Dave Williams
    (Closes: #875610).
  * Bug fix: "remove hack that prevents building C extension for all
    supported versions of python", thanks to Michael Hudson-Doyle
    (Closes: #905261).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 20 Jan 2019 11:32:57 +0100

=== debian/control ===
Source: pythonmagick
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Git: https://salsa.debian.org/python-team/modules/pythonmagick.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pythonmagick
Uploaders: Carl Fürstenberg <azatoth@gmail.com>,
 Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Build-Depends:
 autoconf-archive (>= 20160916),
 dh-python,
 debhelper-compat (= 12),
 libboost-python-dev (>= 1.34.1-8),
 libmagick++-dev (>= 8:6.8.6),
 libtool (>= 1.5),
 pkg-config,
 python3-all,
 python3-all-dev,
 python3-setuptools
Standards-Version: 4.5.0
Homepage: http://www.imagemagick.org

Package: python3-pythonmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Object-oriented Python 3 interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python 3.
 .
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves.
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).

=== debian/rules ===
#!/usr/bin/make -f

export VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

d=--buildsystem=autoconf --builddirectory="{build_dir}"
export PYBUILD_NAME=pythonmagick
export PYBUILD_SYSTEM=custom
export PYBUILD_CLEAN_ARGS=dh_auto_clean $d;
export PYBUILD_CONFIGURE_ARGS=dh_auto_configure $d -- \
	--disable-silent-rules --disable-static \
	--with-python-min-version={version.major}.{version.minor}
export PYBUILD_BUILD_ARGS=dh_auto_build $d
export PYBUILD_INSTALL_ARGS=dh_auto_install $d --destdir="{destdir}"
export PYBUILD_TEST_ARGS=dh_auto_test $d

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/ -name "*.la" -delete

=== debian/tests/control ===
Tests: python3
Restrictions: allow-stderr
Depends: python3-all, python3-pythonmagick

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.imagemagick.org/download/python/PythonMagick-(.*)@ARCHIVE_EXT@
